Summary: Add dynamic effects to Latex PDFs
Name: ppower4
Version: 0.9.4
Release: 1.PU_IAS.1
Source0: %{name}-%{version}.tar.gz
Copyright: distributable
Group: Applications/Publishing
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArchitectures: noarch
Requires: tetex
Packager: Thomas Uphill <uphill@ias.edu>

%description
PPower4 is used to post process presentations in PDF format which were prepared 
using (La)TeX  to add dynamic effects. The PDF files can be created with 
pdf(la)tex, v(la)tex or with standard LaTeX and then converted to PDF with 
dvipdfm. It is recommended to use the widely available Acrobat Reader from 
Adobe to view the results, because other viewers do not implement some of 
the special features. Given this you have to keep in mind, that PPower4 can 
only provide those effects, which are implemented in the reader.

The post processing software is written in Java and it is free (refer to the GNU
general public license). It has been run successfully with Java 1.2.x and better 
on different flavours of Unix, Win32 and the Mac. The older version which had 
limited features and could also be used with kaffe is no longer supported. 

%prep
%setup -q

%build
echo "No build necessary"

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/texmf/tex/latex/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/java/lib/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/bin
cp *.sty $RPM_BUILD_ROOT/%{_datadir}/texmf/tex/latex/%{name}
cp pp4p.jar $RPM_BUILD_ROOT/%{_prefix}/java/lib/%{name}
cp %{name} $RPM_BUILD_ROOT/%{_bindir}

%post 
texhash

%postun
texhash

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(644,root,root,0755)  
%doc doc/*
%dir %{_datadir}/texmf/tex/latex/%{name}
%{_datadir}/texmf/tex/latex/%{name}
%dir %{_prefix}/java/lib/%{name}
%{_prefix}/java/lib/%{name}/pp4p.jar
%{_bindir}/%{name}

%changelog
* Thu Jun 26 2003 Thomas Uphill <uphill@math.ias.edu>
- start
